list: API endpoint for returning a list of spells.
retrieve: API endpoint for returning a particular spell.

GET /v2/spells/?format=api&ordering=-school&page=18
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 1955,
    "next": "https://api.open5e.com/v2/spells/?format=api&ordering=-school&page=19",
    "previous": "https://api.open5e.com/v2/spells/?format=api&ordering=-school&page=17",
    "results": [
        {
            "key": "deepm_dragon-roar",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_1",
                    "damage_roll": "1d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_2",
                    "damage_roll": "1d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_3",
                    "damage_roll": "1d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_4",
                    "damage_roll": "1d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_5",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_6",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_7",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_8",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_9",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_10",
                    "damage_roll": "2d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_11",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_12",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_13",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_14",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_15",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_16",
                    "damage_roll": "3d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_17",
                    "damage_roll": "4d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_18",
                    "damage_roll": "4d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_19",
                    "damage_roll": "4d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_20",
                    "damage_roll": "4d4",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Dragon Roar",
            "desc": "Your voice is amplified to assault the mind of one creature. The target must make a Charisma saving throw. If it fails, the target takes 1d4 psychic damage and is frightened until the start of your next turn. A target can be affected by your dragon roar only once per 24 hours.",
            "level": 0,
            "higher_level": "This spell’s damage increases by 1d4 when you reach 5th level (2d4), 11th level (3d4), and 17th level (4d4).",
            "target_type": "creature",
            "range_text": "30 feet",
            "range": 30,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": false,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "charisma",
            "attack_roll": false,
            "damage_roll": "1d4",
            "damage_types": [
                "psychic"
            ],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_dragon-breath",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Dragon Breath",
            "desc": "You summon draconic power to gain a breath weapon. When you cast dragon breath, you can immediately exhale a cone or line of elemental energy, depending on the type of dragon you select. While the spell remains active, roll a d6 at the start of your turn. On a roll of 5 or 6, you can take a bonus action that turn to use the breath weapon again.\n\nWhen you cast the spell, choose one of the dragon types listed below. Your choice determines the affected area and the damage of the breath attack for the spell’s duration.\n\n| Dragon Type | Area | Damage |\n|---|---|---|\n| Black | 30-foot line, 5 feet wide | 6d6 acid damage |\n| Blue | 30-foot line, 5 feet wide | 6d6 lightning damage |\n| Green | 15-foot cone | 6d6 poison damage |\n| Red | 15-foot cone | 6d6 fire damage |\n| White | 15-foot cone | 6d6 cold damage |\n\n",
            "level": 5,
            "higher_level": "When you cast this spell using a spell slot of 6th level or higher, the damage increases by 2d6 for each slot level above 5th.",
            "target_type": "area",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": true,
            "material_specified": "a piece of a dragon’s tooth",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": "line",
            "shape_size": 15,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_draconic-smite",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_2",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_3",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Draconic Smite",
            "desc": "The next time you hit a creature with a melee weapon attack during the spell’s duration, your weapon takes on the form of a silver dragon’s head. Your attack deals an extra 1d6 cold damage, and up to four other creatures of your choosing within 30 feet of the attack’s target must each make a successful Constitution saving throw or take 1d6 cold damage.\n",
            "level": 1,
            "higher_level": "When you cast this spell using a spell slot of 2nd level or higher, the extra cold damage and the cold damage dealt to the secondary creatures increases by 1d6 for each slot level above 1st.",
            "target_type": "creature",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "bonus-action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": false,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "constitution",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_doom-of-the-earthen-maw",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Doom of the Earthen Maw",
            "desc": "The ground within 30 feet of a point you designate turns into filthy and slippery muck. This spell affects sand, earth, mud, and ice, but not stone, wood, or other material. For the duration, the ground in the affected area is difficult terrain. A creature in the area when you cast the spell must succeed on a Strength saving throw or be restrained by the mud until the spell ends. A restrained creature can free itself by using an action to make a successful Strength saving throw. A creature that frees itself or that enters the area after the spell was cast is affected by the difficult terrain but doesn’t become restrained.\n\nEach round, a restrained creature sinks deeper into the muck. A Medium or smaller creature that is restrained for 3 rounds becomes submerged at the end of its third turn. A Large creature becomes submerged after 4 rounds. Submerged creatures begin suffocating if they aren’t holding their breath. A creature that is still submerged when the spell ends is sealed beneath the newly solidified ground. The creature can escape only if someone else digs it out or it has a burrowing speed.",
            "level": 4,
            "higher_level": "",
            "target_type": "point",
            "range_text": "60 feet",
            "range": 60,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "strength",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_doom-of-consuming-fire",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_3",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Doom of Consuming Fire",
            "desc": "You are wreathed in cold, purple fire that damages creatures near you. You take 1d6 cold damage each round for the duration of the spell. Creatures within 5 feet of you when you cast the spell and at the start of each of your turns while the spell is in effect take 1d8 cold damage.\n",
            "level": 2,
            "higher_level": "When you cast this spell using a 3rd-level spell slot, the purple fire extends 10 feet from you, you take 1d8 cold damage, and other creatures take 1d10 cold damage. When you cast this spell using a 4th‐level slot, the fire extends 15 feet from you, you take1d10 cold damage, and other creatures take 1d12 cold damage. When you cast this spell using a slot of 5th level or higher, the fire extends to 20 feet, you take 1d12 cold damage, and other creatures take 1d20 cold damage.",
            "target_type": "creature",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": true,
            "material_specified": "a dead coal or a fistful of ashes",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_disruptive-aura",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Disruptive Aura",
            "desc": "A warping, prismatic aura surrounds and outlines each creature inside a 10-foot cube within range. The aura sheds dim light out to 10 feet, and the the locations of hidden or invisible creatures are outlined. If a creature in the area tries to cast a spell or use a magic item, it must make a Wisdom saving throw. On a successful save, the spell or item functions normally. On a failed save, the effect of the spell or the item is suppressed for the duration of the aura. Time spent suppressed counts against the duration of the spell’s or item’s effect.\n",
            "level": 8,
            "higher_level": "When you cast this spell using a 9th‐level spell slot, the cube is 20 feet on a side.",
            "target_type": "creature",
            "range_text": "150 feet",
            "range": 150,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "wisdom",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": "cube",
            "shape_size": 10,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_desiccating-breath",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Desiccating Breath",
            "desc": "You spew forth a cloud of black dust that draws all moisture from a 30-foot cone. Each animal in the cone takes 4d10 necrotic damage, or half as much damage if it makes a successful Constitution saving throw. The damage is 6d10 for plants and plant creatures, also halved on a successful Constitution saving throw.",
            "level": 4,
            "higher_level": "",
            "target_type": "creature",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": true,
            "material_specified": "a clump of dried clay",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "constitution",
            "attack_roll": false,
            "damage_roll": "4d10",
            "damage_types": [
                "necrotic"
            ],
            "duration": "instantaneous",
            "shape_type": "cone",
            "shape_size": 30,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_delayed-healing",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Delayed Healing",
            "desc": "Touch a living creature (not a construct or undead) as you cast the spell. The next time that creature takes damage, it immediately regains hit points equal to 1d4 + your spellcasting ability modifier (minimum of 1).\n",
            "level": 3,
            "higher_level": "When you cast this spell using a spell slot of 4th level or higher, the healing increases by 1d4 for each slot level above 3rd.",
            "target_type": "creature",
            "range_text": "Touch",
            "range": 0,
            "ritual": false,
            "casting_time": "1minute",
            "reaction_condition": null,
            "verbal": true,
            "somatic": false,
            "material": true,
            "material_specified": "a bloodstone worth 100 gp, which the spell consumes",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_darkbolt",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_3",
                    "damage_roll": null,
                    "target_count": 4,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": 5,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": 6,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": 7,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": 8,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": 9,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": 10,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Darkbolt",
            "desc": "You utter a quick invocation to create a black nimbus around your hand, then hurl three rays of darkness at one or more targets in range. The rays can be divided between targets however you like. Make a ranged spell attack for each target (not each ray); each ray that hits deals 1d10 cold damage. A target that was hit by one or more rays must make a successful Constitution saving throw or be unable to use reactions until the start of its next turn.\n",
            "level": 2,
            "higher_level": "When you cast this spell using a spell slot of 3rd level or higher, you create one additional ray for each slot level above 2nd.",
            "target_type": "creature",
            "range_text": "60 feet",
            "range": 60,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 3,
            "saving_throw_ability": "constitution",
            "attack_roll": true,
            "damage_roll": "",
            "damage_types": [],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_cure-beast",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_2",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_3",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Cure Beast",
            "desc": "A beast of your choice that you can see within range regains a number of hit points equal to 1d6 + your spellcasting modifier.\n",
            "level": 1,
            "higher_level": "When you cast this spell using a spell slot of 2nd level or higher, the healing increases by 1d6 for each slot level above 1st.",
            "target_type": "point",
            "range_text": "60 feet",
            "range": 60,
            "ritual": false,
            "casting_time": "bonus-action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_costly-victory",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Costly Victory",
            "desc": "You select up to ten enemies you can see that are within range. Each target must make a Wisdom saving throw. On a failed save, that creature is cursed to burst into flame if it reduces one of your allies to 0 hit points before this spell’s duration expires. The affected creature takes 6d8 fire damage and 6d8 radiant damage when it bursts into flame.\n\nIf the affected creature is wearing flammable material (or is made of flammable material, such as a plant creature), it catches on fire and continues burning; the creature takes fire damage equal to your spellcasting ability modifier at the end of each of its turns until the creature or one of its allies within 5 feet of it uses an action to extinguish the fire.",
            "level": 8,
            "higher_level": "",
            "target_type": "creature",
            "range_text": "90 feet",
            "range": 90,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "wisdom",
            "attack_roll": false,
            "damage_roll": "6d8",
            "damage_types": [
                "fire"
            ],
            "duration": "1 hour",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_clockwork-bolt",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_1",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_2",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_3",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_10",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_11",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_12",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_13",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_14",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_15",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_16",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_17",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_18",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_19",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_20",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Clockwork Bolt",
            "desc": "You imbue an arrow or crossbow bolt with clockwork magic just as you fire it at your target; spinning blades materialize on the missile after it strikes to further mutilate your enemy.\n\nAs part of the action used to cast this spell, you make a ranged weapon attack with a bow or a crossbow against one creature within range. If the attack hits, the missile embeds in the target. Unless the target (or an ally of it within 5 feet) uses an action to remove the projectile (which deals no additional damage), the target takes an additional 1d8 slashing damage at the end of its next turn from spinning blades that briefly sprout from the missile’s shaft. Afterward, the projectile reverts to normal.",
            "level": 0,
            "higher_level": "This spell deals more damage when you reach higher levels. At 5th level, the ranged attack deals an extra 1d8 slashing damage to the target, and the target takes an additional 1d8 slashing damage (2d8 total) if the embedded ammunition isn’t removed. Both damage amounts increase by 1d8 again at 11th level and at 17th level.",
            "target_type": "creature",
            "range_text": "60 feet",
            "range": 60,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": true,
            "material_specified": "an arrow or crossbow bolt",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "1d8",
            "damage_types": [
                "slashing"
            ],
            "duration": "1 round",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_claws-of-the-earth-dragon",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": "7d8",
                    "target_count": null,
                    "duration": null,
                    "range": "70 feet",
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": "8d8",
                    "target_count": null,
                    "duration": null,
                    "range": "80 feet",
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": "9d8",
                    "target_count": null,
                    "duration": null,
                    "range": "90 feet",
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": "10d8",
                    "target_count": null,
                    "duration": null,
                    "range": "100 feet",
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Claws of the Earth Dragon",
            "desc": "You summon the power of the earth dragon and shoot a ray at one target within 60 feet. The target falls prone and takes 6d8 bludgeoning damage from being slammed to the ground. If the target was flying or levitating, it takes an additional 1d6 bludgeoning damage per 10 feet it falls. If the target makes a successful Strength saving throw, damage is halved, it doesn’t fall, and it isn’t knocked prone.\n",
            "level": 5,
            "higher_level": "When you cast this spell using a spell slot of 6th level or higher, the damage done by the attack increases by 1d8 and the range increases by 10 feet for each slot level above 5th.",
            "target_type": "creature",
            "range_text": "60 feet",
            "range": 60,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": false,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "strength",
            "attack_roll": false,
            "damage_roll": "6d8",
            "damage_types": [
                "bludgeoning"
            ],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_claws-of-darkness",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Claws of Darkness",
            "desc": "You shape shadows into claws that grow from your fingers and drip inky blackness. The claws have a reach of 10 feet. While the spell lasts, you can make a melee spell attack with them that deals 1d10 cold damage.",
            "level": 0,
            "higher_level": "",
            "target_type": "creature",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": true,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_clash-of-glaciers",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Clash of Glaciers",
            "desc": "You conjure up icy boulders that crush creatures in a line 100 feet long. Each creature in the area takes 5d6 bludgeoning damage plus 5d6 cold damage, or half the damage with a successful Dexterity saving throw.\n",
            "level": 5,
            "higher_level": "When you cast this spell using a spell slot of 6th level or higher, the damage increases by 1d6 for each slot level above 5th. You decide whether each extra die deals bludgeoning or cold damage.",
            "target_type": "creature",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": true,
            "material_specified": "a piece of cracked glass",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "dexterity",
            "attack_roll": false,
            "damage_roll": "5d6",
            "damage_types": [
                "bludgeoning"
            ],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_caustic-touch",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_1",
                    "damage_roll": "1d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_2",
                    "damage_roll": "1d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_3",
                    "damage_roll": "1d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_4",
                    "damage_roll": "1d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_5",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_6",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_7",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_8",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_9",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_10",
                    "damage_roll": "2d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_11",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_12",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_13",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_14",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_15",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_16",
                    "damage_roll": "3d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_17",
                    "damage_roll": "4d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_18",
                    "damage_roll": "4d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_19",
                    "damage_roll": "4d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "player_level_20",
                    "damage_roll": "4d8",
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Caustic Touch",
            "desc": "Your hand sweats profusely and becomes coated in a film of caustic slime. Make a melee spell attack against a creature you touch. On a hit, the target takes 1d8 acid damage. If the target was concentrating on a spell, it has disadvantage on its Constitution saving throw to maintain concentration.",
            "level": 0,
            "higher_level": "This spell’s damage increases by 1d8 when you reach 5th level (2d8), 11th level (3d8), and 17th level (4d8).",
            "target_type": "creature",
            "range_text": "Touch",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "constitution",
            "attack_roll": true,
            "damage_roll": "1d8",
            "damage_types": [
                "acid"
            ],
            "duration": "instantaneous",
            "shape_type": null,
            "shape_size": null,
            "concentration": false,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_breathtaking-wind",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Breathtaking Wind",
            "desc": "You target a creature with a blast of wintry air. That creature must make a successful Constitution saving throw or become unable to speak or cast spells with a vocal component for the duration of the spell.",
            "level": 1,
            "higher_level": "",
            "target_type": "creature",
            "range_text": "30 feet",
            "range": 30,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "constitution",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_booster-shot",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [
                {
                    "name": "Ranger",
                    "key": "srd_ranger"
                },
                {
                    "name": "Sorcerer",
                    "key": "srd_sorcerer"
                },
                {
                    "name": "Warlock",
                    "key": "srd_warlock"
                }
            ],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Booster Shot",
            "desc": "You imbue a two-handed ranged weapon (typically a shortbow, longbow, light crossbow, or heavy crossbow) that you touch with a random magical benefit. While the spell lasts, a projectile fired from the weapon has an effect that occurs on a hit in addition to its normal damage. Roll a d6 to determine the additional effect for each casting of this spell.\n\n| D6 | EFFECT |\n|---|---|\n| 1 | 2d10 acid damage to all creatures within 10 feet of the target |\n| 2 | 2d10 lightning damage to the target and 1d10 lightning damage to all creatures in a 5-foot-wide line between the weapon and the target |\n| 3 | 2d10 necrotic damage to the target, and the target has disadvantage on its first attack roll before the start of the weapon user’s next turn |\n| 4 | 2d10 cold damage to the target and 1d10 cold damage to all other creatures in a 60-foot cone in front of the weapon |\n| 5 | 2d10 force damage to the target, and the target is pushed 20 feet |\n| 6 | 2d10 psychic damage to the target, and the target is stunned until the start of the weapon user’s next turn |\n\n",
            "level": 3,
            "higher_level": "When you cast this spell using a spell slot of 4th level or higher, all damage increases by 1d10 for each slot level above 3rd.",
            "target_type": "creature",
            "range_text": "Touch",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": "line",
            "shape_size": 60,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_blessed-halo",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_3",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_7",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_8",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_9",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                }
            ],
            "school": {
                "name": "Evocation",
                "key": "evocation"
            },
            "classes": [
                {
                    "name": "Cleric",
                    "key": "srd_cleric"
                },
                {
                    "name": "Warlock",
                    "key": "srd_warlock"
                },
                {
                    "name": "Wizard",
                    "key": "srd_wizard"
                }
            ],
            "range_unit": "feet",
            "shape_size_unit": "feet",
            "name": "Blessed Halo",
            "desc": "A nimbus of golden light surrounds your head for the duration. The halo sheds bright light in a 20-foot radius and dim light for an additional 20 feet.\n\nThis spell grants you a pool of 10 points of healing. When you cast the spell and as an action on subsequent turns during the spell’s duration, you can expend points from this pool to restore an equal number of hit points to one creature within 20 feet that you can see.\n\nAdditionally, you have advantage on Charisma checks made against good creatures within 20 feet.\n\nIf any of the light created by this spell overlaps an area of magical darkness created by a spell of 2nd level or lower, the spell that created the darkness is dispelled.\n",
            "level": 2,
            "higher_level": "When you cast this spell using a spell slot of 3rd level or higher, the spell’s pool of healing points increases by 5 for each spell slot above 2nd, and the spell dispels magical darkness created by a spell of a level equal to the slot used to cast this spell.",
            "target_type": "point",
            "range_text": "Self",
            "range": 0,
            "ritual": false,
            "casting_time": "action",
            "reaction_condition": null,
            "verbal": true,
            "somatic": true,
            "material": false,
            "material_specified": "",
            "material_cost": null,
            "material_consumed": false,
            "target_count": 1,
            "saving_throw_ability": "",
            "attack_roll": false,
            "damage_roll": "",
            "damage_types": [],
            "duration": "1 minute",
            "shape_type": null,
            "shape_size": null,
            "concentration": true,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "deepm_blade-of-wrath",
            "document": {
                "name": "Deep Magic for 5th Edition",
                "key": "deepm",
                "type": "SOURCE",
                "display_name": "Deep Magic for 5th Edition",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/kpstore/product/deep-magic-for-5th-edition-hardcover/"
            },
            "casting_options": [
                {
                    "type": "default",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_4",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_5",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
                    "range": null,
                    "concentration": null,
                    "shape_size": null,
                    "desc": null
                },
                {
                    "type": "slot_level_6",
                    "damage_roll": null,
                    "target_count": null,
                    "duration": null,
[...]
